Class PhusionPassenger::AbstractInstaller |
In: | lib/phusion_passenger/abstract_installer.rb
Parent: | Object

Abstract base class for text mode installers. Used by passenger-install-apache2-module and passenger-install-nginx-module.

Subclasses must at least implement the #install! method which handles the installation itself.

Usage:

      installer = ConcereteInstallerClass.new(options...)
      installer.start

Methods

- new
- start

Constants

PASSENGER_WEBSITE | = | "http://www.modrails.com/"
PHUSION_WEBSITE | = | "www.phusion.nl"

Public Class methods
new(options = {})

Create an AbstractInstaller. All options will be stored as instance variables, for example:

      installer = AbstractInstaller.new(:foo => "bar")
      installer.instance_variable_get(:"@foo")   # => "bar"

[ show source ]

        # File lib/phusion_passenger/abstract_installer.rb, line 54
    54:         def initialize(options = {})
    55:                 options.each_pair do |key, value|
    56:                         instance_variable_set("@#{key}""@#{key}", value)
    57:                 end
    58:         end

Public Instance methods
start()

Start the installation by calling the #install! method.

[ show source ]

        # File lib/phusion_passenger/abstract_installer.rb, line 61
    61:         def start
    62:                 before_install
    63:                 install!
    64:         ensure
    65:                 after_install
    66:         end